import express, { Request, Response } from "express";
import bodyParser from "body-parser";

import productRoutes from "./handlers/products";
import userRoutes from "./handlers/users";
import orderRoutes from "./handlers/orders";

const app: express.Application = express();
const address: string = "127.0.0.1:3000";
const port = 3000;

app.use(bodyParser.json());

app.get("/", function (req: Request, res: Response) {
  res.send("Welcome to Shelf backend api");
});

productRoutes(app);
userRoutes(app);
orderRoutes(app);

// Start express server
app.listen(port, function () {
  console.log(`starting app on: ${address}`);
});

export default app;

